use klieo_a2a::task_store::A2aTaskStore;
use klieo_auth_common::Authenticator;
use klieo_core::resume::KvResumeBuffer;
use klieo_runlog::RunLogStore;
use std::sync::Arc;

pub struct OpsState {
    pub(crate) authenticator: Arc<dyn Authenticator>,
    pub(crate) run_log_store: Option<Arc<dyn RunLogStore>>,
    pub(crate) task_store: Option<Arc<A2aTaskStore>>,
    pub(crate) resume_buffer: Option<Arc<KvResumeBuffer>>,
}
